View Issue Details

IDProjectCategoryView StatusLast Update
0000666SOGoWeb Mailpublic2010-06-30 14:39
Reporterludovic Assigned Tofrancis  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Versionnightly v2 
Target Version1.3.0Fixed in Version1.3.0 
Summary0000666: Enable spell-checking option in CKEditor
Description

We should enable the spell-checking feature in CKEditor and perhaps even control this through a user-setting.

TagsNo tags attached.

Activities

francis

francis

2010-06-25 17:03

administrator   ~0001128

Last edited: 2010-06-25 17:03

I think it's enabled by default :

http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.config.html#.disableNativeSpellChecker

However, we should set the language of CKEditor according to the user's language.

Note : I updated CKEditor yesterday to the latest release (3.3.1).

francis

francis

2010-06-30 14:39

administrator   ~0001137

Fixed in revision bc1249b3296aa7dc189df755998b9d703fefd954

Note that the spell checker only supports some languages (en, dk, uk, nl, fr, no, el, ge, pt, it, sp, br, se)

See http://www.spellchecker.net/v3/samples/wsc_ckeditor_multiple_hidden_control.html

Issue History

Date Modified Username Field Change
2010-06-23 11:02 ludovic New Issue
2010-06-23 11:02 ludovic Target Version => 1.3.0
2010-06-25 17:03 francis Note Added: 0001128
2010-06-25 17:03 francis Note Edited: 0001128
2010-06-28 12:03 francis Status new => assigned
2010-06-28 12:03 francis Assigned To => francis
2010-06-30 14:39 francis Note Added: 0001137
2010-06-30 14:39 francis Status assigned => resolved
2010-06-30 14:39 francis Fixed in Version => 1.3.0
2010-06-30 14:39 francis Resolution open => fixed